Bug 1490547 (CVE-2017-12899)

Summary: CVE-2017-12899 tcpdump: Buffer over-read in print-decnet.c:decnet_print() in DECnet parser
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jsynacek, luhliari, mruprich, msehnout, msekleta, security-response-team, thozza
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20170913,reported=20170905,source=upstream,cvss3=6.5/CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H,cwe=CWE-125,rhel-5/tcpdump=wontfix,rhel-6/tcpdump=wontfix,rhel-7/tcpdump=wontfix,fedora-all/tcpdump=affected
Fixed In Version: tcpdump 4.9.2 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-13 03:43:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1475364    
Bug Blocks: 1490633    

Description Adam Mariš 2017-09-11 21:48:23 UTC
Buffer over-read in print-decnet.c:decnet_print() in DECnet parser was found.

This vulnerability can be exploited in two ways. The first is to produce a .pcap file with crafted packet(s) for the protocol(s) concerned and make the target system try to decode the file using tcpdump. The second is to send specially crafted packet(s) to the network segment where the target system is running a tcpdump process that is decoding a live packet capture. In the latter case it depends on the specific network protocol if the crafted packet(s) may be sent from the local segment only or from a remote Internet host.

Comment 1 Adam Mariš 2017-09-11 21:48:27 UTC
Acknowledgments:

Name: the Tcpdump project

Comment 3 Doran Moppert 2017-09-14 04:38:17 UTC
Created tcpdump tracking bugs for this issue:

Affects: fedora-all [bug 1475364]

Comment 4 Doran Moppert 2018-05-16 02:48:10 UTC
This issue was addressed in Red Hat Enterprise Linux 7 via RHEA-2018:0705, which rebased tcpdump to 4.9.2:

https://access.redhat.com/errata/RHEA-2018:0705